Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.tree
Interface UINodeHandler

All Known Subinterfaces:
  UITree

All Known Implementing Classes:
  PropertyEditorTree, RegistryAdapter, UINodeHandlerImpl, UISubTree, UITreePipeline

    public interface UINodeHandler

Field Summary
`static java.lang.String` | `ACTION_DELETE`
`static java.lang.String` | `ACTION_OPEN`
`static java.lang.String` | `ACTION_RENAME`
`static java.lang.String` | `ACTION_SELECT`
`static java.lang.String` | `GET_IMMEDIATE_LISTENER_METHOD`
`static java.lang.String` | `GET_SELECTABLE_METHOD`
`static int` | `NODE_TYPE_MASK`
`static int` | `NT_CHECKBOX_ITEM`
`static int` | `NT_CHOICE_GROUP`
`static int` | `NT_CHOICE_ITEM`
`static int` | `NT_DIRECTORY`
`static int` | `NT_DIRECTORY_MASK`
`static int` | `NT_FILL`
`static int` | `NT_GROUP`
`static int` | `NT_ITEM`
`static int` | `NT_ITEM_GROUP`
`static int` | `NT_LINK`
`static int` | `NT_MOUSE_MOTION`
`static int` | `NT_SELECTABLE`
`static int` | `NT_SEPARATOR`
`static int` | `NT_SPECIAL`
`static int` | `NT_UNDEFINED`

Method Summary
`void` | `eventOccured(java.lang.Object node, java.util.EventObject event)`
`java.lang.Object` | `getDescription(java.lang.Object node, java.lang.String type)`
`java.lang.String` | `getName(java.lang.Object node)`
`int` | `getType(java.lang.Object node)`
`java.lang.Object` | `invoke(java.lang.Object node, java.lang.String method, java.lang.Object arg)`
`boolean` | `isAvailable(java.lang.Object node)`
`boolean` | `isEnabled(java.lang.Object node)`
`boolean` | `isLeaf(java.lang.Object node)`
`boolean` | `nodesEqual(java.lang.Object a, java.lang.Object b)`
`java.lang.Object` | `resolveLink(java.lang.Object node)`

Field Detail

### ACTION_DELETE

    static final java.lang.String ACTION_DELETE

See Also:
  Constant Field Values

### ACTION_OPEN

    static final java.lang.String ACTION_OPEN

See Also:
  Constant Field Values

### ACTION_RENAME

    static final java.lang.String ACTION_RENAME

See Also:
  Constant Field Values

### ACTION_SELECT

    static final java.lang.String ACTION_SELECT

See Also:
  Constant Field Values

### GET_IMMEDIATE_LISTENER_METHOD

    static final java.lang.String GET_IMMEDIATE_LISTENER_METHOD

See Also:
  Constant Field Values

### GET_SELECTABLE_METHOD

    static final java.lang.String GET_SELECTABLE_METHOD

See Also:
  Constant Field Values

### NODE_TYPE_MASK

    static final int NODE_TYPE_MASK

See Also:
  Constant Field Values

### NT_CHECKBOX_ITEM

    static final int NT_CHECKBOX_ITEM

See Also:
  Constant Field Values

### NT_CHOICE_GROUP

    static final int NT_CHOICE_GROUP

See Also:
  Constant Field Values

### NT_CHOICE_ITEM

    static final int NT_CHOICE_ITEM

See Also:
  Constant Field Values

### NT_DIRECTORY

    static final int NT_DIRECTORY

See Also:
  Constant Field Values

### NT_DIRECTORY_MASK

    static final int NT_DIRECTORY_MASK

See Also:
  Constant Field Values

### NT_FILL

    static final int NT_FILL

See Also:
  Constant Field Values

### NT_GROUP

    static final int NT_GROUP

See Also:
  Constant Field Values

### NT_ITEM

    static final int NT_ITEM

See Also:
  Constant Field Values

### NT_ITEM_GROUP

    static final int NT_ITEM_GROUP

See Also:
  Constant Field Values

### NT_LINK

    static final int NT_LINK

See Also:
  Constant Field Values

### NT_MOUSE_MOTION

    static final int NT_MOUSE_MOTION

See Also:
  Constant Field Values

### NT_SELECTABLE

    static final int NT_SELECTABLE

See Also:
  Constant Field Values

### NT_SEPARATOR

    static final int NT_SEPARATOR

See Also:
  Constant Field Values

### NT_SPECIAL

    static final int NT_SPECIAL

See Also:
  Constant Field Values

### NT_UNDEFINED

    static final int NT_UNDEFINED

See Also:
  Constant Field Values

Method Detail

### eventOccured

    void eventOccured(java.lang.Object node,
                      java.util.EventObject event)

### getDescription

    java.lang.Object getDescription(java.lang.Object node,
                                    java.lang.String type)

### getName

    java.lang.String getName(java.lang.Object node)

### getType

    int getType(java.lang.Object node)

### invoke

    java.lang.Object invoke(java.lang.Object node,
                            java.lang.String method,
                            java.lang.Object arg)

### isAvailable

    boolean isAvailable(java.lang.Object node)

### isEnabled

    boolean isEnabled(java.lang.Object node)

### isLeaf

    boolean isLeaf(java.lang.Object node)

### nodesEqual

    boolean nodesEqual(java.lang.Object a,
                       java.lang.Object b)

### resolveLink

    java.lang.Object resolveLink(java.lang.Object node)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD